pbsrun_unwrap(8B)

NAME
pbsrun_unwrap - unwraps mpirun, reversing pbsrun_wrap

SYNOPSIS
pbsrun_unwrap pbsrun.<mpirun version/flavor> pbsrun_unwrap --version

DESCRIPTION
The pbsrun_unwrap script is used to reverse the actions of the pbsrun_wrap script. Use pbsrun_wrap to wrap mpirun. Using pbsrun_unwrap with Intel MPI is deprecated as of 13.0.

USAGE
Syntax:
    pbsrun_unwrap pbsrun.<mpirun version/flavor>
For example, running the following:
     pbsrun_unwrap pbsrun.ch_gm causes the following actions:

    Checks for a link in $PBS_EXEC/lib/MPI/pbsrun.ch_gm.link; If one exists, get the pathname it points to:
    /opt/mpich-gm/bin/mpirun.ch_gm.actual

    rm $PBS_EXEC/lib/MPI/pbsrun.mpirun.ch_gm.link

    rm /opt/mpich-gm/bin/mpirun.ch_gm

    rm $PBS_EXEC/bin/pbsrun.ch_gm

    mv  /opt/mpich-gm/bin/mpirun.ch_gm.actual
        /opt/mpich-gm/bin/mpirun.ch_gm

OPTIONS

--version
    The pbsrun_unwrap command returns its PBS version information and exits. This option can only be used alone.

SEE ALSO
The PBS Professional Administrator's Guide

pbs_attach(8B), pbsrun(8B), pbsrun_wrap(8B)